Last Comment Bug 650987 - OfflineCacheUpdateParent.cpp:43: warning: 'gOfflineCacheUpdateService' defined but not used
: OfflineCacheUpdateParent.cpp:43: warning: 'gOfflineCacheUpdateService' define...
Status: RESOLVED FIXED
[build_warning]
:
Product: Core
Classification: Components
Component: Networking: Cache (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla6
Assigned To: Daniel Holbert [:dholbert] (largely AFK until June 28)
:
Mentors:
http://tinderbox.mozilla.org/showlog....
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-18 16:55 PDT by Daniel Holbert [:dholbert] (largely AFK until June 28)
Modified: 2011-04-20 10:30 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix (2.21 KB, patch)
2011-04-18 16:55 PDT, Daniel Holbert [:dholbert] (largely AFK until June 28)
cbiesinger: review+
Details | Diff | Review
hg changeset for checkin (2.35 KB, patch)
2011-04-19 11:43 PDT, Daniel Holbert [:dholbert] (largely AFK until June 28)
no flags Details | Diff | Review

Description Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-04-18 16:55:52 PDT
Created attachment 526875 [details] [diff] [review]
fix

Filing bug on these build warnings:
> uriloader/prefetch/OfflineCacheUpdateParent.cpp:43: warning: 'gOfflineCacheUpdateService' defined but not used
> uriloader/prefetch/OfflineCacheUpdateChild.cpp:65: warning: 'gOfflineCacheUpdateService' defined but not used

I think this is a copy-paste error, from grabbing code from nsOfflineCacheUpdate.cpp including this unused variable, and then the copies-of-the-unused-variable remained even after nsOfflineCacheUpdate.cpp was fixed (in bug 615425).

Attached patch fixes this.
Comment 1 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-04-18 16:56:29 PDT
 --> adding clobber build log including these warnings to URL field.
Comment 2 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-04-18 16:57:30 PDT
The patch also adds the formerly-missing newline at the end of these files.  (Bugzilla's patch viewer doesn't show that correctly, but the raw text of the patch does.)
Comment 3 Daniel Holbert [:dholbert] (largely AFK until June 28) 2011-04-19 11:43:39 PDT
Created attachment 527059 [details] [diff] [review]
hg changeset for checkin

Here's the changeset for checkin. (I can't treewatch at the moment; hoping some kind soul can land this & bug 650871 as ridealongs)
Comment 4 Mounir Lamouri (:mounir) 2011-04-20 01:41:14 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/ce7bef9447be

Note You need to log in before you can comment on or make changes to this bug.